Agda-2.8.0: A dependently typed functional programming language and proof assistant

Safe Haskell | None
Language | Haskell2010

Agda.Utils.Hash

Description

Instead of checking time-stamps we compute a hash of the module source and store it in the interface file. This module contains the functions to do that.

Synopsis

- type Hash = Word64
- hashByteString :: ByteString -> Hash
- hashTextFile :: AbsolutePath -> IO Hash
- hashText :: Text -> Hash
- combineHashes :: [Hash] -> Hash
- hashString :: String -> Word64

# Documentation

type Hash = Word64 Source #

hashByteString :: ByteString -> Hash Source #

hashTextFile :: AbsolutePath -> IO Hash Source #

hashText :: Text -> Hash Source #

Hashes a piece of `Text`.

combineHashes :: [Hash] -> Hash Source #

hashString :: String -> Word64 Source #

Hashing a module name for unique identifiers.